Subject: Re: [PATCH] powerpc/legacy_serial: fix incorrect placement of __initdata tag

From: Michael Ellerman <[email-masked]>
Date: Tue, 8 Oct 2013 14:56:23 +1100

On Thu, Oct 03, 2013 at 01:51:27PM +0200, Bartlomiej Zolnierkiewicz wrote:
> On Tuesday, October 01, 2013 04:13:25 PM Michael Ellerman wrote:
> > On Mon, Sep 30, 2013 at 03:11:42PM +0200, Bartlomiej Zolnierkiewicz wrote:
> > > __initdata tag should be placed between the variable name and equal
> > > sign for the variable to be placed in the intended .init.data section.
> > 
> > I see lots of other occurences of that in arch/powerpc. Why not send a
> > single patch to update them all?
> 
> The other occurences while not following the preferred kernel coding style
> are (probably) working OK with gcc. This particular occurence just doesn't
> work as it should.

Why would the other occurrences work but not this one?

Regardless, why don't we just do a single patch to clean them all up to
match coding style and (probably) do what they're intended.

cheers